Package io.vertx.reactivex.ext.web.handler.sockjs

## Class SockJSHandler

- java.lang.Object
- - io.vertx.reactivex.ext.web.handler.sockjs.SockJSHandler

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class SockJSHandler
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  A handler that allows you to handle SockJS connections from clients.

  We currently support version 0.3.3 of the SockJS protocol, which can be found in this tag:

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<SockJSHandler>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SockJSHandler​(SockJSHandler delegate)` |
    `SockJSHandler​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Router` | `bridge​(SockJSBridgeOptions bridgeOptions)` | Bridge the SockJS handler to the Vert.x event bus.
    `Router` | `bridge​(SockJSBridgeOptions bridgeOptions, Handler<BridgeEvent> bridgeEventHandler)` | Like `bridge(io.vertx.ext.web.handler.sockjs.SockJSBridgeOptions)` but specifying a handler that will receive bridge events.
    `Router` | `bridge​(AuthorizationProvider authorizationProvider, SockJSBridgeOptions bridgeOptions, Handler<BridgeEvent> bridgeEventHandler)` | Like `bridge(io.vertx.ext.web.handler.sockjs.SockJSBridgeOptions)` but specifying a handler that will receive bridge events.
    `static SockJSHandler` | `create​(Vertx vertx)` | Create a SockJS handler
    `static SockJSHandler` | `create​(Vertx vertx, SockJSHandlerOptions options)` | Create a SockJS handler
    `boolean` | `equals​(Object o)` |
    `SockJSHandler` | `getDelegate()` |
    `int` | `hashCode()` |
    `static SockJSHandler` | `newInstance​(SockJSHandler arg)` |
    `Router` | `socketHandler​(Handler<SockJSSocket> handler)` | Set a SockJS socket handler.
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<SockJSHandler> __TYPE_ARG

  - ### Constructor Detail

    - #### SockJSHandler

          public SockJSHandler​(SockJSHandler delegate)

    - #### SockJSHandler

          public SockJSHandler​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public SockJSHandler getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### create

          public static SockJSHandler create​(Vertx vertx)

      Create a SockJS handler
      Parameters:
        `vertx` - the Vert.x instance
      Returns:
        the handler

    - #### create

          public static SockJSHandler create​(Vertx vertx,
                                             SockJSHandlerOptions options)

      Create a SockJS handler
      Parameters:
        `vertx` - the Vert.x instance
        `options` - options to configure the handler
      Returns:
        the handler

    - #### socketHandler

          public Router socketHandler​(Handler<SockJSSocket> handler)

      Set a SockJS socket handler. This handler will be called with a SockJS socket whenever a SockJS connection is made from a client
      Parameters:
        `handler` - the handler
      Returns:
        a router to be mounted on an existing router

    - #### bridge

          public Router bridge​(SockJSBridgeOptions bridgeOptions)

      Bridge the SockJS handler to the Vert.x event bus. This basically installs a built-in SockJS socket handler which takes SockJS traffic and bridges it to the event bus, thus allowing you to extend the server-side Vert.x event bus to browsers
      Parameters:
        `bridgeOptions` - options to configure the bridge with
      Returns:
        a router to be mounted on an existing router

    - #### bridge

          public Router bridge​(AuthorizationProvider authorizationProvider,
                               SockJSBridgeOptions bridgeOptions,
                               Handler<BridgeEvent> bridgeEventHandler)

      Like `bridge(io.vertx.ext.web.handler.sockjs.SockJSBridgeOptions)` but specifying a handler that will receive bridge events.
      Parameters:
        `authorizationProvider` - authorization provider to be used on the bridge
        `bridgeOptions` - options to configure the bridge with
        `bridgeEventHandler` - handler to receive bridge events
      Returns:
        a router to be mounted on an existing router

    - #### bridge

          public Router bridge​(SockJSBridgeOptions bridgeOptions,
                               Handler<BridgeEvent> bridgeEventHandler)

      Like `bridge(io.vertx.ext.web.handler.sockjs.SockJSBridgeOptions)` but specifying a handler that will receive bridge events.
      Parameters:
        `bridgeOptions` - options to configure the bridge with
        `bridgeEventHandler` - handler to receive bridge events
      Returns:
        a router to be mounted on an existing router

    - #### newInstance

          public static SockJSHandler newInstance​(SockJSHandler arg)